package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkHoursConfirmFactory
{
    private WorkHoursConfirmFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IWorkHoursConfirm getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursConfirm)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("1B8E9CE3") ,com.kingdee.eas.hr.project.IWorkHoursConfirm.class);
    }
    
    public static com.kingdee.eas.hr.project.IWorkHoursConfirm getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursConfirm)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("1B8E9CE3") ,com.kingdee.eas.hr.project.IWorkHoursConfirm.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IWorkHoursConfirm getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursConfirm)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("1B8E9CE3"));
    }
    public static com.kingdee.eas.hr.project.IWorkHoursConfirm getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursConfirm)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("1B8E9CE3"));
    }
}